%define upstream_name    Math-CDF
%define upstream_version 0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 20

Summary:    Generate probabilities and quantiles from several 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This module provides a perl interface to the DCDFLIB. See the section on
the DCDFLIB manpage for more information.

Functions are available for 7 continuous distributions (Beta, Chi-square,
F, Gamma, Normal, Poisson and T-distribution) and for two discrete
distributions (Binomial and Negative Binomial). Optional non-centrality
parameters are available for the Chi-square, F and T-distributions.
Cumulative probabilities are available for all 9 distributions and quantile
functions are available for the 7 continuous distributions.

All cumulative probability function names begin with the character "p".
They give the probability of being less than or equal to the given value [
'P(X <= x)' ]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.100.0-20.mga10
+ Revision: 2226102
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 0.100.0-19.mga10
+ Revision: 2088101
- Rebuild against new perl

* Thu Nov 30 2023 tv <tv> 0.100.0-18.mga10
+ Revision: 2011598
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.100.0-17.mga9
+ Revision: 1862070
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.100.0-16.mga9
+ Revision: 1795898
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.100.0-15.mga9
+ Revision: 1726857
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.100.0-14.mga8
+ Revision: 1594860
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.100.0-13.mga8
+ Revision: 1529816
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.100.0-12.mga8
+ Revision: 1433821
- rebuild for perl 5.30

* Tue Aug 27 2019 tv <tv> 0.100.0-11.mga8
+ Revision: 1433281
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.100.0-10.mga7
+ Revision: 1293421
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.100.0-9.mga7
+ Revision: 1249520
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.100.0-8.mga7
+ Revision: 1165298
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.100.0-7.mga7
+ Revision: 1149054
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.100.0-6.mga7
+ Revision: 1126697
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-5.mga6
+ Revision: 1029584
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.100.0-4.mga6
+ Revision: 957692
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.100.0-3.mga6
+ Revision: 842678
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-2.mga5
+ Revision: 748024
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.100.0-1.mga5
+ Revision: 736298
- imported package perl-Math-CDF


* Fri Oct 03 2014 Thierry Vignaud <tv@mageia.org> 0.100.0-1.mga5
- initial mageia release, generated with cpan2dist
